Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins.osgi
[Java] Class OsgiPluginConvention

    java.lang.Object
      org.gradle.api.plugins.osgi.OsgiPluginConvention

    public class OsgiPluginConvention

Is mixed in into the project when applying the OsgiPlugin .

Authors:
  Hans Dockter

Constructor Summary
`OsgiPluginConvention(ProjectInternal project)`

Method Summary
`OsgiManifest` | `osgiManifest()` Creates a new instance of OsgiManifest.
`OsgiManifest` | `osgiManifest(Closure closure)` Creates and configures a new instance of an OsgiManifest .

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### OsgiPluginConvention

    public OsgiPluginConvention(ProjectInternal project)

Method Detail

### osgiManifest

    public OsgiManifest osgiManifest()

  Creates a new instance of OsgiManifest. The returned object is preconfigured with:

       version: project.version
       name: project.archivesBaseName
       symbolicName: project.group + "." + project.archivesBaseName (see below for exceptions to this rule)

  The symbolic name is usually the group + "." + archivesBaseName, with the following exceptions
  - if group has only one section (no dots) and archivesBaseName is not null then the first package name with classes is returned. eg. commons-logging:commons-logging -> org.apache.commons.logging
  - if archivesBaseName is equal to last section of group then group is returned. eg. org.gradle:gradle -> org.gradle
  - if archivesBaseName starts with last section of group that portion is removed. eg. org.gradle:gradle-core -> org.gradle.core

### osgiManifest

    public OsgiManifest osgiManifest(Closure closure)

  Creates and configures a new instance of an OsgiManifest . The closure configures the new manifest instance before it is returned.

Gradle API 1.1-rc-1